# LawVu Account

Apis for account related resources (authentication, profiles, organisation details etc)

Version: 1.0

## Servers

Sandbox API
```
https://api-sandbox.lawvu.com/account-apis
```

Production API
```
https://api.lawvu.com/account-apis
```

## Download OpenAPI description

[LawVu Account](https://api-docs.lawvu.com/_bundle/api/Account%20API/LawVu%20Account.openapi.yaml)

## Auth

### Get token

 - [POST /v1/auth/token](https://api-docs.lawvu.com/api/account-api/lawvu-account.openapi/auth/post-v1-auth-token.md): Get a token to access the rest of the LawVu APIs

## Emails

### Get an email thread

 - [GET /v1/emails/threads](https://api-docs.lawvu.com/api/account-api/lawvu-account.openapi/emails/get-v1-emails-threads.md): Search for an email thread by the identifier.

### Save email thread

 - [POST /v1/emails/threads](https://api-docs.lawvu.com/api/account-api/lawvu-account.openapi/emails/post-v1-emails-threads.md): Creates / Updates an email thread, and child email messages.

### Get email threads

 - [GET /v1/emails/threads/page](https://api-docs.lawvu.com/api/account-api/lawvu-account.openapi/emails/get-v1-emails-threads-page.md): Gets paged email threads ordered by last modified date

### Create email draft

 - [POST /v1/emails/drafts](https://api-docs.lawvu.com/api/account-api/lawvu-account.openapi/emails/post-v1-emails-drafts.md): Creates a draft email in LawVu

### Delete email draft

 - [DELETE /v1/emails/drafts/{draftId}](https://api-docs.lawvu.com/api/account-api/lawvu-account.openapi/emails/delete-v1-emails-drafts-draftid.md): Deletes a draft email

### Update email draft

 - [PUT /v1/emails/drafts/{draftId}](https://api-docs.lawvu.com/api/account-api/lawvu-account.openapi/emails/put-v1-emails-drafts-draftid.md): Updates a message draft

### Check for any users tracking an email by External Reference ID

 - [POST /v1/emails/threads/byExternalReferenceId](https://api-docs.lawvu.com/api/account-api/lawvu-account.openapi/emails/post-v1-emails-threads-byexternalreferenceid.md)

## Features

### Get feature

 - [GET /v1/features/{featureCode}](https://api-docs.lawvu.com/api/account-api/lawvu-account.openapi/features/get-v1-features-featurecode.md): Retrieves a feature by feature code based on the current authorised users organisation context

## Organisations

### Get organisations

 - [GET /v1/organisations](https://api-docs.lawvu.com/api/account-api/lawvu-account.openapi/organisations/get-v1-organisations.md): Returns an array of organisations the current user is linked to

### Get departments

 - [GET /v1/organisations/{organisationId}/departments](https://api-docs.lawvu.com/api/account-api/lawvu-account.openapi/organisations/get-v1-organisations-organisationid-departments.md): Returns an array of departments for the given organisation

### Get regions

 - [GET /v1/organisations/{organisationId}/regions](https://api-docs.lawvu.com/api/account-api/lawvu-account.openapi/organisations/get-v1-organisations-organisationid-regions.md): Returns an array of regions for the given organisation

### Get clients

 - [GET /v1/organisations/clients](https://api-docs.lawvu.com/api/account-api/lawvu-account.openapi/organisations/get-v1-organisations-clients.md): Returns an array of clients the current user is linked to

### Get financial settings

 - [GET /v1/organisations/financialsettings](https://api-docs.lawvu.com/api/account-api/lawvu-account.openapi/organisations/get-v1-organisations-financialsettings.md): Returns the organisation financial settings the current user is linked to

## Recents

### Get recent items

 - [GET /v1/my/recents](https://api-docs.lawvu.com/api/account-api/lawvu-account.openapi/recents/get-v1-my-recents.md)

## Teams

### Get teams

 - [GET /v1/teams](https://api-docs.lawvu.com/api/account-api/lawvu-account.openapi/teams/get-v1-teams.md): Get teams

## Users

### Search users

 - [GET /v1/users](https://api-docs.lawvu.com/api/account-api/lawvu-account.openapi/users/get-v1-users.md): Returns a list of users based on the filter criteria

### Get user profile

 - [GET /v1/users/{id}/profile](https://api-docs.lawvu.com/api/account-api/lawvu-account.openapi/users/get-v1-users-id-profile.md): Returns the profile of a specific user.

## WebhookSubscriptions

### Create a subscription

 - [POST /v1/webhooks/subscriptions](https://api-docs.lawvu.com/api/account-api/lawvu-account.openapi/webhooksubscriptions/post-v1-webhooks-subscriptions.md): Create a webhook subscription to receive notifications on events occuring in LawVu

### Get all subscriptions

 - [GET /v1/webhooks/subscriptions](https://api-docs.lawvu.com/api/account-api/lawvu-account.openapi/webhooksubscriptions/getwebhooksubscriptions.md): Retrieve all existing webhook subscriptions

### Get a subscription

 - [GET /v1/webhooks/subscriptions/{id}](https://api-docs.lawvu.com/api/account-api/lawvu-account.openapi/webhooksubscriptions/getwebhooksubscription.md): Retrieve an existing webhook subscription

### Delete a subscription

 - [DELETE /v1/webhooks/subscriptions/{id}](https://api-docs.lawvu.com/api/account-api/lawvu-account.openapi/webhooksubscriptions/deletewebhooksubscription.md): Deleting a webhook subscription will stop notifications for that subscription

